package com.koobietech.eas.common.exception;

public class EasException extends RuntimeException{
    private int code=200;
    private String msg;

    public EasException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public EasException(String msg, int code) {
        super(msg);
        this.msg = msg;
        this.code = code;
    }

    public EasException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }

    public EasException(String msg, int code, Throwable e) {
        super(msg, e);
        this.msg = msg;
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
